tool
extends Resource
class_name SummerDayEditable


export(Resource) var table
var z_range := SummerDayZRange.new()
var preference_number = 0


func _check_for_selection_candidate(event: InputEvent) -> bool: # Virtual.
	return false


# Returns false if input was potentially meant for a different editable.
func _interact(event: InputEvent) -> bool: # Virtual.
	return false


func _update_table(): # Virtual.
	pass


func _draw_interaction_hint(): # Virtual.
	pass


func update_interaction_hint():
	SummerDay.interaction_hint.clear()
	_draw_interaction_hint()


func draw_dot(position: Vector3, color: Color):
	SummerDay.interaction_hint.draw_dot(position, color)


func draw_line(position_1: Vector3, position_2: Vector3,
	color: Color, second_color = null
):
	var color_2: Color
	if second_color == null:
		color_2 = color
	else:
		color_2 = second_color
	SummerDay.interaction_hint.draw_line(
		position_1, position_2, color, color_2
	)


func get_z_range() -> Array:
	return []
